require "gem_average_speed/version"
require 'wms/widget/base'


module GemAverageSpeed
  # Your code goes here...


class GemAverageSpeed::GemAverageSpeed < Wms::Widget::Base
  include Wms::Api::Event
  include Wms::Api::Analytic
  
  def initialize
    super
    @logger.debug "Init widget [#{self.class.name}]"
  end

  # @override
  def register(option={})
  @widget = options[:widget] 
  end

  # @override 
  def run
    # Call api
    @logger.debug "Running widget [#{self.class.name}]" 
    analytics = []
    options = {
          :type => "location",  
          :begin => Time.local(2013, 9, 6),
          :end => Time.loca(2013, 9, 6)
    }
    @events = get_events(options)
    
    
    (@events.count.to_i).times do |i|
      5.each do|i|
      cur = @events[i]
      speed_sum = speed_sum + cur["speed"]
      end 
      average_speed = sum/5
      analytic = {
        :device_id => "123456789",
        :widget_id => @widget.id,
        :user_id => @widget.user.id,
        :timestamp => Time.now,
        :avg_speed => average_speed
      }
      analytics.push(analytic)
  end
 if analytics.length > 0
      save_analytics(analytics)
    end
end

end
